import { PzPaginationProps } from './types';
declare const _default: import('vue').DefineComponent<PzPaginationProps, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    "update:modelValue": (page: number) => any;
}, string, import('vue').PublicProps, Readonly<PzPaginationProps> & Readonly<{
    "onUpdate:modelValue"?: ((page: number) => any) | undefined;
}>, {
    radius: number;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, HTMLElement>;
export default _default;
